Use this API to delete personally identifiable information (PII) from specified conversations and messages. This operation removes user data but will not delete expressions (messages annotated to intents). To delete expressions, use the "Untrain expression" feature directly in the AI Agents dashboard. Note that removing expressions may affect your bot’s performance.

All requests should be made to your API base URL: https://api.ultimate.ai

JSON format

The request body is represented as JSON objects with the following property:

NameTypeRequiredDescription
conversationIdsarrayYesList of conversation ids that will be processed for deletion. Each value should be a string

Delete User Data

  • POST /gdpr/delete-user-data

Deletes personally identifiable information (PII) within the selected conversations and messages.

Parameters

NameTypeInRequiredDescription
authorizationstringheaderYesYour API authorization token
organizationidstringheaderNoThe id of the organization
botidstringheaderYesThe id of the bot for which data will be deleted

Example body

{  "conversationIds": ["123456789", "987654321"]}

Responses

200 The deletion process was completed successfully.
401 Unauthorized. Missing or invalid API key or bot ID.
500 Internal server error.